ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bode...@apache.org
Subject svn commit: r495488 - in /ant/core/trunk: docs/faq.html xdocs/faq.xml
Date Fri, 12 Jan 2007 05:22:25 GMT
Author: bodewig
Date: Thu Jan 11 21:22:23 2007
New Revision: 495488

URL: http://svn.apache.org/viewvc?view=rev&rev=495488
Log:
junit.jar is required to build 1.7.0 from sources

Modified:
    ant/core/trunk/docs/faq.html
    ant/core/trunk/xdocs/faq.xml

Modified: ant/core/trunk/docs/faq.html
URL: http://svn.apache.org/viewvc/ant/core/trunk/docs/faq.html?view=diff&rev=495488&r1=495487&r2=495488
==============================================================================
--- ant/core/trunk/docs/faq.html (original)
+++ ant/core/trunk/docs/faq.html Thu Jan 11 21:22:23 2007
@@ -343,6 +343,10 @@
             </ul>
                 <h4 class="toc">Known Problems</h4>
         <ul>
+                <li><a href="#170-requires-junit">
+  Ant 1.7.0 doesn't build from sources without
+        JUnit
+      </a></li>
                 <li><a href="#remove-cr">
   &lt;chmod&gt; or &lt;exec&gt; doesn't work in Ant
         1.3 on Unix
@@ -1623,6 +1627,27 @@
         files that your project does, since it will give the correct
         results for properties that were specified on the Ant command line.</p>
                                 <p class="faq">
+      <a name="170-requires-junit"></a>
+      Ant 1.7.0 doesn't build from sources without
+        JUnit
+    </p>
+                  <p>When building Ant 1.7.0 from the source release without
+        junit.jar the build fails with the message "We cannot build
+        the test jar unless JUnit is present".</p>
+                        <p>With Ant 1.7.0 we've started to add ant-testutil.jar as
+        part of the distribution and this causes a hard dependency on
+        JUnit - at least in version 1.7.0.  Unfortunately the
+        installation docs don't say so.</p>
+                        <p>There are two workarounds:</p>
+                        <ol>
+
+          <li>Add junit.jar to your CLASSPATH when building Ant.</li>
+
+          <li>Change Ant's buildfile and remove test-jar from the
+          depends list of the dist-lite target.</li>
+
+        </ol>
+                    <p class="faq">
       <a name="remove-cr"></a>
       &lt;chmod&gt; or &lt;exec&gt; doesn't work in Ant
         1.3 on Unix

Modified: ant/core/trunk/xdocs/faq.xml
URL: http://svn.apache.org/viewvc/ant/core/trunk/xdocs/faq.xml?view=diff&rev=495488&r1=495487&r2=495488
==============================================================================
--- ant/core/trunk/xdocs/faq.xml (original)
+++ ant/core/trunk/xdocs/faq.xml Thu Jan 11 21:22:23 2007
@@ -1329,6 +1329,35 @@
   </faqsection>
 
   <faqsection title="Known Problems">
+    <faq id="170-requires-junit">
+      <question>Ant 1.7.0 doesn't build from sources without
+        JUnit</question>
+
+      <answer>
+
+        <p>When building Ant 1.7.0 from the source release without
+        junit.jar the build fails with the message "We cannot build
+        the test jar unless JUnit is present".</p>
+
+        <p>With Ant 1.7.0 we've started to add ant-testutil.jar as
+        part of the distribution and this causes a hard dependency on
+        JUnit - at least in version 1.7.0.  Unfortunately the
+        installation docs don't say so.</p>
+
+        <p>There are two workarounds:</p>
+
+        <ol>
+
+          <li>Add junit.jar to your CLASSPATH when building Ant.</li>
+
+          <li>Change Ant's buildfile and remove test-jar from the
+          depends list of the dist-lite target.</li>
+
+        </ol>
+
+      </answer>
+    </faq>
+
     <faq id="remove-cr">
       <question>&lt;chmod&gt; or &lt;exec&gt; doesn&apos;t work
in Ant
         1.3 on Unix</question>



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message